Package ru.bitel.bgbilling.kernel.task.common.bean

# Class DependentTask

java.lang.Object
ru.bitel.bgbilling.kernel.task.common.bean.DependentTask

All Implemented Interfaces:
  `Serializable`

public class DependentTask extends Object implements Serializable
Зависимая задача, которая добавляется в очередь к "основной" задаче

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASS_NAME`
  `static final String`
  `COMMENT`
  `static final String`
  `IS_PLUGIN`
  `static final String`
  `MODULE_ID`
  `static final String`
  `MODULE_NAME`
  `static final String`
  `PARAMS`
  `static final String`
  `PRIORITY`
  `static final String`
  `STATUS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DependentTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DependentTask`
  `copy()`
  `static DependentTask`
  `fromJson(org.json.JSONObject json)`
  `static List<DependentTask>`
  `fromJSONArray(org.json.JSONArray array)`
  `String`
  `getClassName()`
  `String`
  `getComment()`
  `int`
  `getModuleId()`
  `String`
  `getModuleName()`
  `String`
  `getParams()`
  `int`
  `getPriority()`
  `TaskStatus`
  `getTaskStatus()`
  `String`
  `getTitle()`
  `boolean`
  `isPlugin()`
  `DependentTask`
  `setClassName(String className)`
  `DependentTask`
  `setComment(String comment)`
  `DependentTask`
  `setModuleId(int moduleId)`
  `DependentTask`
  `setModuleName(String moduleName)`
  `DependentTask`
  `setParams(String params)`
  `DependentTask`
  `setPlugin(boolean plugin)`
  `DependentTask`
  `setPriority(int priority)`
  `DependentTask`
  `setTaskStatus(TaskStatus taskStatus)`
  `DependentTask`
  `setTitle(String title)`
  `org.json.JSONObject`
  `toJson()`
  `static org.json.JSONArray`
  `toJSONArray(List<DependentTask> taskList)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CLASS_NAME

    public static final String CLASS_NAME
    See Also:
      - Constant Field Values

  - ### IS_PLUGIN

    public static final String IS_PLUGIN
    See Also:
      - Constant Field Values

  - ### MODULE_ID

    public static final String MODULE_ID
    See Also:
      - Constant Field Values

  - ### MODULE_NAME

    public static final String MODULE_NAME
    See Also:
      - Constant Field Values

  - ### PARAMS

    public static final String PARAMS
    See Also:
      - Constant Field Values

  - ### PRIORITY

    public static final String PRIORITY
    See Also:
      - Constant Field Values

  - ### STATUS

    public static final String STATUS
    See Also:
      - Constant Field Values

  - ### COMMENT

    public static final String COMMENT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DependentTask

    public DependentTask()

- ## Method Details

  - ### getClassName

    public String getClassName()

  - ### getComment

    public String getComment()

  - ### getModuleId

    public int getModuleId()

  - ### getModuleName

    public String getModuleName()

  - ### getParams

    public String getParams()

  - ### getPriority

    public int getPriority()

  - ### getTaskStatus

    public TaskStatus getTaskStatus()

  - ### getTitle

    public String getTitle()

  - ### isPlugin

    public boolean isPlugin()

  - ### setClassName

    public DependentTask setClassName(String className)

  - ### setComment

    public DependentTask setComment(String comment)

  - ### setModuleId

    public DependentTask setModuleId(int moduleId)

  - ### setModuleName

    public DependentTask setModuleName(String moduleName)

  - ### setParams

    public DependentTask setParams(String params)

  - ### setPlugin

    public DependentTask setPlugin(boolean plugin)

  - ### setPriority

    public DependentTask setPriority(int priority)

  - ### setTaskStatus

    public DependentTask setTaskStatus(TaskStatus taskStatus)

  - ### setTitle

    public DependentTask setTitle(String title)

  - ### copy

    public DependentTask copy()

  - ### toJson

    public org.json.JSONObject toJson()

  - ### fromJson

    public static DependentTask fromJson(org.json.JSONObject json)

  - ### fromJSONArray

    public static List<DependentTask> fromJSONArray(org.json.JSONArray array)

  - ### toJSONArray

    public static org.json.JSONArray toJSONArray(List<DependentTask> taskList)